Bug 312091 - python scripts not included in x86_64 and ppc64 arches
python scripts not included in x86_64 and ppc64 arches
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scribus (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 22:36 EDT by Todd Zullinger
Modified: 2008-01-06 20:26 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3.4-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-06 20:26:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff showing the differences in i386 and x86_64 build logs (880 bytes, text/x-patch)
2007-09-28 22:36 EDT, Todd Zullinger
no flags Details
patch against devel branch specfile (1.10 KB, patch)
2007-10-02 13:04 EDT, Todd Zullinger
no flags Details | Diff

  None (edit)
Description Todd Zullinger 2007-09-28 22:36:18 EDT
This was reported on fedora-list recently[1], against F-7.  But it affects devel
also.  There are python scripts included with scribus.  They are packaged in the
i386 and ppc builds, but not in the x86_64 or ppc64 builds.  I don't have an *64
box to test on, but a reported fix[2] is to add --with-extra-libs=%{_libdir} to
%configure.  (I'm not sure that  --with-pythondir will be needed if
--with-extra-libs=%{_libdir} is used.)

Attached is a small chunk of the diff between the build.log for i386[3] and
x86_64[4] that shows python isn't being found in the x86_64 build.

[1] https://www.redhat.com/archives/fedora-list/2007-September/msg03774.html
[2] http://lists.rpmforge.net/pipermail/users/2007-January/000503.html
[3]
http://koji.fedoraproject.org/packages/scribus/1.3.4/1.fc8/data/logs/i386/build.log
[4]
http://koji.fedoraproject.org/packages/scribus/1.3.4/1.fc8/data/logs/x86_64/build.log
Comment 1 Todd Zullinger 2007-09-28 22:36:18 EDT
Created attachment 211231 [details]
diff showing the differences in i386 and x86_64 build logs
Comment 2 Craig White 2007-10-01 17:42:24 EDT
indeed - that fixed it for me
Comment 3 Todd Zullinger 2007-10-02 13:04:05 EDT
Created attachment 213731 [details]
patch against devel branch specfile

Andreas,

I did a scratch build in koji with this patch[1] (and one with the
--with-python-dir removed[2]).	Looking at the results it seems that this fixes
things.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=180628
[2] http://koji.fedoraproject.org/koji/taskinfo?taskID=180584
Comment 4 Fedora Update System 2008-01-02 20:32:02 EST
scribus-1.3.4-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update scribus'
Comment 5 Fedora Update System 2008-01-06 20:26:32 EST
scribus-1.3.4-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.